<?php
/*
 * Include files ONLY for admin usage.
 *
 * LICENSE: This source file is a part of the i-Search Pro plugin and its not for free.
 * All rights by all4wp.com
 *
 * @author     all4wp.com <all4wp.com@gmail.com>
 * @copyright  2018 by all4wp
 * @since      2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

require_once ISRC_PLUGIN_DIR . '/admin/admin-functions.php';

/**
 * Set globals only for admin
 */

$isrc_opt_adv       = get_option( 'isrc_opt_adv_' . isrc_get_lang_admin() );
$isrc_opt           = get_option( 'isrc_opt_' . isrc_get_lang_admin() );
$isrc_log_bad_words = get_option( 'isrc_log_bad_words_' . isrc_get_lang_admin() );
$isrc_excl_ips      = get_option( 'isrc_excl_ips_' . isrc_get_lang_admin() );
$hash               = get_option( 'isrc_hash' );

/**
 * Include files only for admin area.
 * Exclude files if doing ajax to save server capacities.
 */
if ( ! wp_doing_ajax() ) {
	require_once ISRC_PLUGIN_DIR . '/all4wp-global/global-menu.php';
}

require_once ISRC_PLUGIN_DIR . '/admin/menu/class-wp-list-table-logs.php';
require_once ISRC_PLUGIN_DIR . '/admin/menu/class-wp-list-table-shortcodes.php';
require_once ISRC_PLUGIN_DIR . '/admin/class-admin-main.php';
require_once ISRC_PLUGIN_DIR . '/admin/menu/class-menu.php';

if ( ! wp_doing_ajax() ) {
	require_once ISRC_PLUGIN_DIR . '/admin/metabox/class-post-meta-box.php';
	require_once ISRC_PLUGIN_DIR . '/admin/menu/class-dashboard.php';
}

/*
* Include Ajax class for admin.
*/
require_once ISRC_PLUGIN_DIR . '/class-ajax.php';


/**
 * Include files only if we are in i-Search settings menu.
 *
 * @since  3.1.0
 * @access public
 *
 *
 * @return void
 */
function isrc_admin_include_files() {
	global $isrc_admin_page;

	if ( ! function_exists( 'get_current_screen' ) ) {
		return;
	}

	$screen = get_current_screen();
	/*
	 * Check if current screen is $isrc_admin_page
	 */
	if ( $screen->id == $isrc_admin_page ) {
		require_once ISRC_PLUGIN_DIR . '/admin/menu/menu-functions.php';
	}

}

if ( function_exists( 'add_action' ) ) {
	add_action( 'current_screen', 'isrc_admin_include_files', 1 );
}

