<?php
/*
 * This file is loaded to bypass the WP framework for i-search ajax requests.
 * We don't need to load the entire wordpress only for a database query.
 * This way is 8x times faster than the regular admin-ajax requests
 * It doesn't make a sense on every key up to load the complete WP framework.
 */

/* set error reporting to 0 because this file is NOT part of wp. it will be loaded directly as a standalone file. */
error_reporting( 0 );

/* Define ISRC_CHECK as this file's directory. to avoid direct access the variables file */
define( 'ISRC_CHECK', dirname( __DIR__ ) . '/' );
$lang = $_POST['locale'];
require_once( __DIR__ . '/variables_' . $lang . '.php' );

/* We defined the ABSPATH in the variables file. check it to avoid direct access this file without variable file */
/* We have an exit in the variable file if boost is disabled and the ABSPATH is not defined if boost is disabled */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


$options_from_json = json_decode( $options_json, true );

/* define globals */
global $locale, $wpdb;

$isrc_opt_adv       = $options_from_json['isrc_opt_adv'];
$isrc_opt           = $options_from_json['isrc_opt'];
$isrc_log_bad_words = $options_from_json['isrc_log_bad_words'];
$isrc_excl_ips      = $options_from_json['isrc_excl_ips'];
$hash               = $options_from_json['hash'];

require_once( __DIR__ . '/functions.php' );
require_once( ISRC_PLUGIN_DIR . '/admin/admin-functions.php' );

/* do we need a mobile detection based on settings? */
require_once( ISRC_PLUGIN_DIR . '/front/class-mobile-detect.php' );

require_once( ABSPATH . 'wp-includes/wp-db.php' );

require_wp_db();
wp_set_wpdb_vars( $table_prefix );

require_once( ISRC_PLUGIN_DIR . '/class-ajax.php' );

